Package org.apache.lucene.codecs.simpletext

## Class SimpleTextLiveDocsFormat

- java.lang.Object
- - org.apache.lucene.codecs.LiveDocsFormat
  - - org.apache.lucene.codecs.simpletext.SimpleTextLiveDocsFormat

-     public class SimpleTextLiveDocsFormat
      extends LiveDocsFormat

  reads/writes plaintext live docs

  FOR RECREATIONAL USE ONLY

  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleTextLiveDocsFormat()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `files​(SegmentCommitInfo info, Collection<String> files)` |
    `Bits` | `readLiveDocs​(Directory dir, SegmentCommitInfo info, IOContext context)` |
    `void` | `writeLiveDocs​(Bits bits, Directory dir, SegmentCommitInfo info, int newDelCount, IOContext context)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleTextLiveDocsFormat

          public SimpleTextLiveDocsFormat()

  - ### Method Detail

    - #### readLiveDocs

          public Bits readLiveDocs​(Directory dir,
                                   SegmentCommitInfo info,
                                   IOContext context)
                            throws IOException

      Specified by:
        `readLiveDocs` in class `LiveDocsFormat`
      Throws:
        `IOException`

    - #### writeLiveDocs

          public void writeLiveDocs​(Bits bits,
                                    Directory dir,
                                    SegmentCommitInfo info,
                                    int newDelCount,
                                    IOContext context)
                             throws IOException

      Specified by:
        `writeLiveDocs` in class `LiveDocsFormat`
      Throws:
        `IOException`

    - #### files

          public void files​(SegmentCommitInfo info,
                            Collection<String> files)
                     throws IOException

      Specified by:
        `files` in class `LiveDocsFormat`
      Throws:
        `IOException`